Cloud Alerts
List alerts
get
/triggers/View all your Cloud Alerts and the current status of each one.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de consulta
project_id?integer | null
Filter by project ID
status?TriggerStatus | null
Filter by status
Valores
"enabled""disabled""triggered""resolved"Respuestas
Successful Response
application/json
array<TriggerListOut>
id*string
project_id*integer
name*string
description*string | null
target_type*TriggerTargetType
Valores
"vps""baremetal""availability_group""object_storage_bucket""organization"target_id*string
target_name?string | null
metric_type*TriggerMetricType
Valores
"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"operator*TriggerOperator
Valores
"gt""lt""gte""lte""eq"threshold*number
status*TriggerStatus
Valores
"enabled""disabled""triggered""resolved"actions_count?integer
Por defecto
0created_at*string
Formato
date-time